#include "interface.h"
#include "timidity.h"
#include "instrum.h"
#include "common.h"
#include "myini.h"

extern double scalewet;

extern double freeverb_scaleroom;
extern double freeverb_offsetroom;

extern double fixedgain;
extern double combfbk;
extern double time_rt_diff;

Sample OverrideSample;
OVERRIDETIMIDITYDATA otd;

#ifdef TIM_CUI

#define MYINI_LIBRARY_DEFIND_VAR

void OverrideSFSettingLoad()
{
	INIDATA ini={0};
	LPINISEC sec = NULL;

	char fn[MAX_PATH + 2] = "";
	char *p = NULL;
    if(GetModuleFileName(GetModuleHandle(0), fn, MAX_PATH)){
		if((p = pathsep_strrchr(fn)) != NULL){
			p++;
			*p = '\0';
		}else{
			fn[0] = '.';
			fn[1] = PATH_SEP;
			fn[2] = '\0';
		}
	}else{
		fn[0] = '.';
		fn[1] = PATH_SEP;
		fn[2] = '\0';
    }
    strcat(fn,"soundfont.ini");

#include "loadsndfontini.h"

	printf("\n**********************************\nsoundfont.ini load ... ok\n");
}

#endif

#if defined(IA_W32GUI) || defined(IA_W32G_SYN)

#define MYINI_LIBRARY_DEFIND_VAR

#pragma comment(lib, "shlwapi.lib")
#include <shlwapi.h>

#define MAXPATH 260

void OverrideSFSettingLoad()
{
	INIDATA ini={0};
	LPINISEC sec = NULL;

	char fn[MAX_PATH + 2] = "";
    if(GetModuleFileName(GetModuleHandle(0), fn, MAXPATH)){
		PathRemoveFileSpec(fn);
		strcat(fn,"\\");
	}else{
		fn[0] = '.';
		fn[1] = PATH_SEP;
		fn[2] = '\0';
    }
    strcat(fn,"soundfont.ini");

#include "loadsndfontini.h"
}

#endif

#ifdef WINDRV
void timdrvOverrideSFSettingLoad()
{
	INIDATA ini={0};
	LPINISEC sec = NULL;

	char fn[MAX_PATH + 2] = "";
	GetWindowsDirectory(fn, MAX_PATH);
	if (fn[strlen(fn) - 1] == '\\')
		fn[strlen(fn) - 1] = 0;
	strcat(fn, "\\");
	strcat(fn, "timdrv_soundfont.ini");

#include "loadsndfontini.h"
}
#endif